tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sean Mcmurray" <smcmur...@AOCE.UTAH.EDU>
Subject Re: Apache 1.3.12 + Tomcat (+ mod_ssl)
Date Fri, 16 Jun 2000 18:33:06 GMT
I've noticed similar problems with Apache+SSL. If I try to LoadModule mod_jserv, I can't start
Apache.

>>> pjj@tandberg.no 06/16/00 01:51 AM >>>
Hi all! (my first message here :-o)

I've installed apache 1.3.12 width mod_ssl and mod_so successfully. Now
I want to load the mod_jserv module. But the mod_jserv.so will not load.
I use the same file used with success in Apache 1.3.9:

#> ./bin/apachectl startssl
[Fri Jun 16 09:40:27 2000] [warn] Loaded DSO libexec/mod_jserv.so uses
plain Apache 1.3 API, this module might crash under EAPI! (please
recompile it with -DEAPI)
./bin/apachectl startssl: httpd could not be started


I then try to compile mod_jserv manually:

#> apxs -c -o -Wc,-DEAPI mod_jserv.so *.c 
gcc -DLINUX=2 -DMOD_SSL=206104 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT
-I../lib/expat-lite -DNO_DL_NEEDED  -I/misc/www/apache/include  -c
autochange.c
gcc -DLINUX=2 -DMOD_SSL=206104 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT
-I../lib/expat-lite -DNO_DL_NEEDED  -I/misc/www/apache/include  -c
jserv_ajpv11.c
gcc -DLINUX=2 -DMOD_SSL=206104 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT
-I../lib/expat-lite -DNO_DL_NEEDED  -I/misc/www/apache/include  -c
jserv_ajpv12.c
gcc -DLINUX=2 -DMOD_SSL=206104 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT
-I../lib/expat-lite -DNO_DL_NEEDED  -I/misc/www/apache/include  -c
jserv_balance.c
gcc -DLINUX=2 -DMOD_SSL=206104 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT
-I../lib/expat-lite -DNO_DL_NEEDED  -I/misc/www/apache/include  -c
jserv_image.c
gcc -DLINUX=2 -DMOD_SSL=206104 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT
-I../lib/expat-lite -DNO_DL_NEEDED  -I/misc/www/apache/include  -c
jserv_mmap.c
gcc -DLINUX=2 -DMOD_SSL=206104 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT
-I../lib/expat-lite -DNO_DL_NEEDED  -I/misc/www/apacheinclude  -c
jserv_protocols.c
gcc -DLINUX=2 -DMOD_SSL=206104 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT
-I../lib/expat-lite -DNO_DL_NEEDED  -I/misc/www/apache/include  -c
jserv_status.c
gcc -DLINUX=2 -DMOD_SSL=206104 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT
-I../lib/expat-lite -DNO_DL_NEEDED  -I/misc/www/apache/include  -c
jserv_utils.c
gcc -DLINUX=2 -DMOD_SSL=206104 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT
-I../lib/expat-lite -DNO_DL_NEEDED  -I/misc/www/apache/include  -c
jserv_watchdog.c
gcc -DLINUX=2 -DMOD_SSL=206104 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT
-I../lib/expat-lite -DNO_DL_NEEDED  -I/misc/www/apache/include  -c
jserv_wrapper.c
gcc -DLINUX=2 -DMOD_SSL=206104 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT
-I../lib/expat-lite -DNO_DL_NEEDED  -I/misc/www/apache/include  -c
jserv_wrapper_unix.c
gcc -DLINUX=2 -DMOD_SSL=206104 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT
-I../lib/expat-lite -DNO_DL_NEEDED  -I/misc/www/apache/include  -c
jserv_wrapper_win.c
gcc -DLINUX=2 -DMOD_SSL=206104 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT
-I../lib/expat-lite -DNO_DL_NEEDED  -I/misc/www/apache/include  -c
mod_jserv.c
  -o -Wc,-DEAPI mod_jserv.o jserv_wrapper_win.o jserv_wrapper_unix.o
jserv_wrapper.o jserv_watchdog.o jserv_utils.o jserv_status.o
jserv_protocols.o jserv_mmap.o jserv_image.o jserv_balance.o
jserv_ajpv12.o jserv_ajpv11.o autochange.o mod_jserv.so 
apxs:Break: Command failed with rc=16711680


hmmm, no good...
Anybody help??

RGDS Paul Jørstad

--------------------------------------------------------------------------
To unsubscribe, email: tomcat-user-unsubscribe@jakarta.apache.org
For additional commmands, email: tomcat-user-help@jakarta.apache.org




Mime
View raw message